Subject: bug#15769: closed (Re: bug#15769: building on OpenBSD fails because of a shell pattern problem)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 31 Oct 2013 21:43:02 +0000

Your bug report

#15769: building on OpenBSD fails because of a shell pattern problem

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15769: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15769
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15769: building on OpenBSD fails because of a shell pattern problem
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 31 Oct 2013 17:42:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.4

>> Ie, just swap "^" for "!".

Well, you live and learn. Bash and zsh allow either [^...] or [!...],
but ksh only the latter. I guess every other instance of [^...] in the
Emacs build rules must be in sed rather than the shell.

So I changed ^ for !, but the whole check is likely to get removed soon
anyway.

Subject: building on OpenBSD fails because of a shell pattern problem
From: Han Boetes <[email-masked]>
To: [email-masked]
Date: Thu, 31 Oct 2013 14:41:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I really don't know why the old version fails on a directory without any
non ascii chars but this patch fixes it. If this is acceptable for
everyone then please apply this patch.

diff --git a/configure.ac b/configure.ac
index 9263d39..87df628 100644
--- a/configure.ac
+++ b/configure.ac
@@ -92,7 +92,7 @@ for var in "`pwd`" "$temp_srcdir" "$prefix" "$exec_prefix" \

   dnl configure sets LC_ALL=C early on, so this range should work.
   case "$var" in
-    *[[^\ -~]]*) AC_MSG_ERROR([Emacs cannot be built or installed in a directory whose name contains non-ASCII characters: $var]) ;;
+    *[[^\ ~-]]*) AC_MSG_ERROR([Emacs cannot be built or installed in a directory whose name contains non-ASCII characters: $var]) ;;
   esac

 done

# Han